import { defineConfig } from "vite"
import vuePlugin from "@vitejs/plugin-vue"
import iconsPlugin from "unplugin-icons/vite"
import unoCssPlugin from "unocss/vite"
import vueRouterPlugin from "unplugin-vue-router/vite"
import { resolve } from "node:path"

export default defineConfig({
	plugins: [
		vueRouterPlugin({
			importMode: "async",
			dts: "./src/generated-types/vue-router.d.ts"
		}),
		vuePlugin(),
		iconsPlugin(),
		unoCssPlugin()
	],
	resolve: {
		alias: {
			"@": resolve(__dirname, "./src")
		}
	}
})
